<?php
session_start();
if( $_SESSION["user"] == "" || $_SESSION["passwd"] == "" ) {
//   header("Location: index.php");
}

   function Active($conn) {
      $sql = "select sql_no_cache id, Nombre_Empresa, DescripcionEjercicio, date(FechaInicio) as d, date(FechaFin) as h, db_name, month(fecha) as m, year(fecha) as y from ejercicios where Activa='1' limit 1";
//      echo  $sql . "<br/>";

      $result = $conn->query($sql);
      if ($result->num_rows > 0) {
         if($row = $result->fetch_assoc()) {
            $_SESSION["id_empresa"] = $row["id"];
            $_SESSION["db_name"] = $row["db_name"];

            $Desde = $row["d"]; 
            $Hasta = $row["h"]; 
            $D = substr( $Desde, 8, 2 ) . "/" . substr( $Desde, 5, 2 ) . "/" . substr( $Desde, 0, 4 ); 
            $H = substr( $Hasta, 8, 2 ) . "/" . substr( $Hasta, 5, 2 ) . "/" . substr( $Hasta, 0, 4 ); 
            $_SESSION["desde"] = $_SESSION["inicio"] = $D;
            $_SESSION["hasta"] = $_SESSION["fin"] = $H;
            $_SESSION["Desde"] = $_SESSION["inicio"] = $D;
            $_SESSION["Hasta"] = $_SESSION["fin"] = $H;
            $_SESSION["empresa"] = $row["Nombre_Empresa"];
            $fecha = $row["fecha"];
            $_SESSION["Year"] = $row["y"];
            $_SESSION["Month"] = $row["m"];
            $_SESSION["ID_Ejercicio"] = $row["id"];
            $_SESSION["Descripcion_Ejercicio"] = $row["DescripcionEjercicio"];
         }
      }
      mysql_free_result( $result );
   }


$mode = isset($_POST['mode']) ? $_POST["mode"]  : "";
$id = isset($_POST['id']) ? $_POST["id"]  : "";

if( $mode != "delete" ) {
   $empresa = isset($_POST['empresa']) ? $_POST["empresa"]  : "";
   $descripcion = isset($_POST['descripcion']) ? $_POST['descripcion'] : "";
   $desde = isset($_POST['desde']) ? $_POST['desde'] : "";
   $hasta = isset($_POST['hasta']) ? $_POST['hasta'] : "";
   $observa = isset($_POST['observaciones']) ? $_POST['observaciones'] : "";

   $fechad = substr( $desde, 6, 4 ) . '-' . substr( $desde, 3, 2 ) . '-' . substr( $desde, 0, 2 );
   $fechah = substr( $hasta, 6, 4 ) . '-' . substr( $hasta, 3, 2 ) . '-' . substr( $hasta, 0, 2 );

}

include_once('db_config.php');
ini_set('max_execution_time', 120);

   switch( $mode ) {
      case "activate":
         $sql = sprintf( "update ejercicios set Activa=1 where id = '%s'", $id );
         $result = $conn->query($sql);
         mysql_free_result( $result );

         $sql = sprintf( "update ejercicios set Activa=0 where id <> '%s'", $id );
         $result = $conn->query($sql);
         mysql_free_result( $result );

         Active( $conn );
         echo "{\"status\":\"Ok\" }";
         break;

      case "update":
         $sql = sprintf( "update ejercicios set DescripcionEjercicio='%s', FechaInicio='%s', FechaFin='%s', Observaciones='%s' where id = '%s'",
                         $descripcion, $fechad, $fechah, $observa, $id );
         $result = $conn->query($sql);
         mysql_free_result( $result );
         echo "{\"status\":\"Ok\" }";
         break;

      case "append":
         $db_name = "impuestos_" . $empresa;
         $sql = sprintf( "insert into ejercicios(`Id`,`Nombre_Empresa`,`DescripcionEjercicio`,`FechaInicio`,`FechaFin`,`Observaciones`,`Cliente`,`Empresa`,`db_name`) VALUES(0,'%s','%s','%s','%s','%s',1,1,'impuestos')", 
                         $empresa, $descripcion, $fechad, $fechah, $observa, $db_name );
//         echo $sql . "<br/>";
          $result = $conn->query($sql);
          mysql_free_result( $result );    
          echo "{\"status\":\"Ok\" }";
          break;

      case "delete":
          $sql = sprintf( "delete from ejercicios where id='%s'", $id );
          $result = $conn->query($sql);
          mysql_free_result( $result );    

          $sql = sprintf( "delete from asientos where ejercicio='%s'", $id );
          $result = $conn->query($sql);
          mysql_free_result( $result );    

          $sql = sprintf( "delete from movimientos where ejercicio='%s'", $id );
          $result = $conn->query($sql);
          mysql_free_result( $result );    

          echo "{\"status\":\"Ok\" }";
          break;
   }     

   mysqli_close($conn);
?>


